---
title: Credential.name
slug: Web/API/Credential/name
tags:
  - API
  - Credential
  - Property
  - Reference
  - credential management
  - name
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p><span class="seoSummary">The <strong><code>name</code></strong> property of the {{domxref("Credential")}} interface returns a {{domxref("DOMString")}}, containing the name associated with a credential.</span> It should be a human-readable, public name.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var credName = Credential.name;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the credential's given name.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Credential.name")}}</p>
